Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07347 Flip Screen/Cocktail Minor Always Jun 3, 2019, 19:12 Jun 12, 2019, 07:08
Tester MetalGod View Status Public Platform MAME (Official Binary)
Assigned To MetalGod Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver galaxian.cpp
Version 0.210 Fixed in Version 0.211 Build 64-bit
Summary 07347: skybase: Inverted upright and cocktail switches
Description Inverted upright and cocktail mode switches

Upright switch behaves as cocktail
Cocktail switch behaves as upright
Steps To Reproduce Just play a 2 players game. In player 2 turn the game will behave the opposite to the activated switch inside "dip switches". Upright is cocktail, cocktail is upright.
Additional Information
Flags
Regression Version 0.124u1
Affected Sets / Systems skybase
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.16505
MetalGod
Senior Tester
Jun 3, 2019, 19:30
edited on: Jun 3, 2019, 19:33
Cocktail mode worked perfectly in mame 0.122 and backwards.
In mame 0.123 cocktail mode draws graphics out of place.

Switches inversion ocurred between mame 0.124 and mame 0.125.

Current mame 0.210 has no issues during cocktail mode, the only mistake is that cocktail is set as upright and vice versa
User avatar
No.16506
Tafoid
Administrator
Jun 3, 2019, 22:06
yeah, confirmed regression of 0.124u1, when the big galaxian rewrite happened.
User avatar
No.16524
MetalGod
Senior Tester
Jun 10, 2019, 18:30
edited on: Jun 10, 2019, 18:44
I am honoured but, honestly, I didn't fix this, just reported it
:D
User avatar
No.16529
Osso
Developer
Jun 12, 2019, 05:14
Please let it assigned to MetalGod. The credit is his since he found the bug and inverting a dip-switch doesn't really merit credit code-wise, IMHO.
User avatar
No.16530
MetalGod
Senior Tester
Jun 12, 2019, 07:08
Thank you :)